Show / Hide Table of Contents

# Class RendererFactory

Simple factory to create a renderer for a given backend API/version/etc.

##### Inheritance

System.Object
RendererFactory

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: ImGuiScene

###### Assembly: ImGuiScene.dll

##### Syntax

    public class RendererFactory

### Methods

| Improve this Doc View Source

#### CreateRenderer(RendererFactory.RendererBackend, Boolean)

Creates a renderer of the specified backend type.

##### Declaration

    public static IRenderer CreateRenderer(RendererFactory.RendererBackend backend, bool enableDebugging)

##### Parameters

Type | Name | Description
--- | --- | ---
RendererFactory.RendererBackend | backend | Which renderer type to create
System.Boolean | enableDebugging | Whether to enable debugging in the internal render state. This is likely to greatly affect performance and should generally be avoided.

##### Returns

Type | Description
--- | ---
IRenderer |